package org.dromara.wflow.minio.service;


import org.dromara.wflow.minio.vo.UploadImageVO;
import org.springframework.core.io.InputStreamResource;
import org.springframework.web.multipart.MultipartFile;

public interface FileService {

    String uploadFile(MultipartFile file);

    UploadImageVO uploadImage(MultipartFile file,boolean withThumb);

    void delFile(String fileId,Boolean isImage);


    InputStreamResource getFileById(String fileId, String name, Boolean isSign);
}
